Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1282392 - systemd 227 gives non-bootable system
Summary: systemd 227 gives non-bootable system
Keywords:
Status: CLOSED DUPLICATE of bug 1271387
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: rawhide
Hardware: aarch64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARM64, F-ExcludeArch-aarch64
TreeView+ depends on / blocked
 
Reported: 2015-11-16 09:57 UTC by Marcin Juszkiewicz
Modified: 2015-11-19 14:01 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-19 14:01:49 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1271387 0 unspecified CLOSED systemd segfaults when starting up, possibly in 'detect_virtualization' 2022-05-16 11:32:56 UTC

Internal Links: 1271387

Description Marcin Juszkiewicz 2015-11-16 09:57:02 UTC
Description of problem:

Installing systemd 227-* (tried -1 and -5) results in systemd crash on APM Mustang:

[  178.580578] systemd[1]: unhandled level 0 translation fault (11) at 0x6aa84398a70, esr 0x92000004
[  178.589424] pgd = fffffe03d97d0000
[  178.592817] [6aa84398a70] *pgd=0000000000000000, *pud=0000000000000000, *pmd=0000000000000000
[  178.601347] 
[  178.602836] CPU: 1 PID: 1 Comm: systemd Tainted: G        W       4.4.0-0.rc0.git5.1.fc24.aarch64 #1
[  178.611927] Hardware name: AppliedMicro Mustang/Mustang, BIOS 1.1.0 Aug  3 2015
[  178.619205] task: fffffe03dc0e0000 ti: fffffe03dc100000 task.ti: fffffe03dc100000
[  178.626656] PC is at 0x2aad0953db0
[  178.630045] LR is at 0x2aad0953d98
[  178.633433] pc : [<000002aad0953db0>] lr : [<000002aad0953d98>] pstate: a0000000
[  178.640795] sp : 000003ffdc300820
[  178.644097] x29: 000003ffdc300840 x28: 000002aad0a80000 
[  178.649412] x27: 000002aad0a7f000 x26: 000003ffdc300c48 
[  178.654727] x25: 000524a518c20046 x24: 0000000000000004 
[  178.660042] x23: 000002aae83d9810 x22: 000003ffdc300988 
[  178.665357] x21: 000002aad0a81000 x20: 000002aad0a80000 
[  178.670674] x19: 000002aae83d9810 x18: 000002aad0a0aea8 
[  178.675997] x17: 000003ffb34fdb20 x16: 000002aad0a7f4a0 
[  178.681311] x15: 000002aad09f33c3 x14: 000002aad0a16a80 
[  178.686627] x13: 000002aad0a0aea8 x12: 000002aad09f33c3 
[  178.691944] x11: 000002aad09f33c3 x10: 000002aad09f33c3 
[  178.697263] x9 : 000003ffdc2ff380 x8 : 00000000000000d3 
[  178.702577] x7 : 7f7f7f7f7f7f7f7f x6 : fefefeff7dff284d 
[  178.707891] x5 : 00000000000000b0 x4 : 0000000000000000 
[  178.713210] x3 : 0000000000000004 x2 : 0000000000000014 
[  178.718525] x1 : 000003ffb3919a70 x0 : 000002aad0a7f000 
[  178.723841] 


Version-Release number of selected component (if applicable):

227-1
227-5

How reproducible:

always

Steps to Reproduce:
1. upgrade systemd packages

Actual results:

system is not bootable

Expected results:

everthing works

Additional info:

Comment 1 Marcin Juszkiewicz 2015-11-16 09:57:29 UTC
226-3 works

Comment 2 Michal Sekletar 2015-11-16 12:23:48 UTC
This is probably the unaligned access issue in systemd's siphash24 implementation. Upstream bug, https://github.com/systemd/systemd/pull/1911.

Comment 3 Marcin Juszkiewicz 2015-11-16 12:40:19 UTC
Applied patches from that pull and crashed:

[  OK  ] Reached target Switch Root.
         Starting Switch Root...
[   11.020105] systemd-journald[184]: Received SIGTERM from PID 1 (systemd).
[   12.229563] systemd[1]: Successfully loaded SELinux policy in 444.093ms.
[   12.439438] systemd[1]: Relabelled /dev and /run in 82.324ms.
[   12.482944] systemd[1]: unhandled level 0 translation fault (11) at 0x6aa696d8a70, esr 0x92000004
[   12.491792] pgd = fffffe03d6ef0000
[   12.495183] [6aa696d8a70] *pgd=0000000000000000, *pud=0000000000000000, *pmd=0000000000000000
[   12.503712] 
[   12.505201] CPU: 0 PID: 1 Comm: systemd Tainted: G        W       4.4.0-0.rc0.git5.1.fc24.aarch64 #1
[   12.514292] Hardware name: AppliedMicro Mustang/Mustang, BIOS 1.1.0 Aug  3 2015
[   12.521569] task: fffffe03dc0e0000 ti: fffffe03dc100000 task.ti: fffffe03dc100000
[   12.529019] PC is at 0x2aaded13e58
[   12.532408] LR is at 0x2aaded13e40
[   12.535795] pc : [<000002aaded13e58>] lr : [<000002aaded13e40>] pstate: a0000000
[   12.543157] sp : 000003ffdca61aa0
[   12.546458] x29: 000003ffdca61ac0 x28: 000002aadee40440 
[   12.551773] x27: 000002aadee3f000 x26: 000003ffdca61fe8 
[   12.557087] x25: 000002aadee40000 x24: 0000000000000005 
[   12.562404] x23: 000002aafff89ea0 x22: 000003ffdca61c10 
[   12.567717] x21: 000002aadee41000 x20: 000002aadee40000 
[   12.573032] x19: 000002aafff89ea0 x18: 000002aadedcafa8 
[   12.578345] x17: 000003ff8a47db20 x16: 000002aadee3f4a0 
[   12.583658] x15: 000002aadedb34bb x14: 000002aadedd6b78 
[   12.588971] x13: 000002aadedcafa8 x12: 000002aadedb34bb 
[   12.594285] x11: 000002aadedb34bb x10: 000002aadedb34bb 
[   12.599601] x9 : 000003ffdca60600 x8 : 00000000000000d3 
[   12.604914] x7 : 7f7f7f7f7f7f7f7f x6 : fefefeff7dff284d 
[   12.610232] x5 : 00000000000000b0 x4 : 0000000000000000 
[   12.615550] x3 : 0000000000000004 x2 : 0000000000000014 
[   12.620864] x1 : 000003ff8a899a70 x0 : 000002aadee3f000 
[   12.626177] 

Will check with systemd HEAD.

Comment 4 Jan Synacek 2015-11-19 10:22:09 UTC
Is this still a problem with systemd-228?

Comment 5 Marcin Juszkiewicz 2015-11-19 12:08:45 UTC
[ 1595.357174] systemd[1]: unhandled level 0 translation fault (11) at 0x6aa83b68a70, esr 0x92000004
[ 1595.366021] pgd = fffffe03d4570000
[ 1595.369404] [6aa83b68a70] *pgd=0000000000000000, *pud=0000000000000000, *pmd=0000000000000000
[ 1595.377922] 
[ 1595.379406] CPU: 2 PID: 1 Comm: systemd Tainted: G        W       4.3.0-1.fc24.aarch64 #1
[ 1595.387544] Hardware name: AppliedMicro Mustang/Mustang, BIOS 1.1.0 Oct 20 2015
[ 1595.394818] task: fffffe03dc090000 ti: fffffe03dc100000 task.ti: fffffe03dc100000
[ 1595.402266] PC is at 0x2aadfaf3380
[ 1595.405648] LR is at 0x2aadfaf3368
[ 1595.409030] pc : [<000002aadfaf3380>] lr : [<000002aadfaf3368>] pstate: a0000000
[ 1595.416389] sp : 000003ffceeab2e0
[ 1595.419684] x29: 000003ffceeab300 x28: 000002aadfc21000 
[ 1595.424999] x27: 000002aadfc1f000 x26: 000524e332d19e8e 
[ 1595.430302] x25: 000002aadfc21000 x24: 0000000000000001 
[ 1595.435608] x23: 000003ffceeab438 x22: 000002aadfc21000 
[ 1595.440910] x21: 000002aadfc20000 x20: 000002aae5a59810 
[ 1595.446216] x19: 000003ffceeab708 x18: 000002aadfb9f6f0 
[ 1595.451522] x17: 000003ffa3b2db20 x16: 000002aadfc1f490 
[ 1595.456824] x15: 000002aadfb969b3 x14: 000002aadfbbad08 
[ 1595.462131] x13: 000002aadfb9f6f0 x12: 000002aadfb969b3 
[ 1595.467432] x11: 000002aadfb969b3 x10: 000002aadfb969b3 
[ 1595.472740] x9 : 000003ffceea9e40 x8 : 00000000000000d3 
[ 1595.478041] x7 : 7f7f7f7f7f7f7f7f x6 : fefefeff7dff284d 
[ 1595.483347] x5 : 00000000000000b0 x4 : 0000000000000000 
[ 1595.488649] x3 : 0000000000000004 x2 : 0000000000000014 
[ 1595.493954] x1 : 000003ffa3f49a70 x0 : 000002aadfc1f000 
[ 1595.499256] 

Got it while updated systemd 226 to 228.

Start to suspect toolchain?

Comment 6 Marcin Juszkiewicz 2015-11-19 12:08:45 UTC
[ 1595.357174] systemd[1]: unhandled level 0 translation fault (11) at 0x6aa83b68a70, esr 0x92000004
[ 1595.366021] pgd = fffffe03d4570000
[ 1595.369404] [6aa83b68a70] *pgd=0000000000000000, *pud=0000000000000000, *pmd=0000000000000000
[ 1595.377922] 
[ 1595.379406] CPU: 2 PID: 1 Comm: systemd Tainted: G        W       4.3.0-1.fc24.aarch64 #1
[ 1595.387544] Hardware name: AppliedMicro Mustang/Mustang, BIOS 1.1.0 Oct 20 2015
[ 1595.394818] task: fffffe03dc090000 ti: fffffe03dc100000 task.ti: fffffe03dc100000
[ 1595.402266] PC is at 0x2aadfaf3380
[ 1595.405648] LR is at 0x2aadfaf3368
[ 1595.409030] pc : [<000002aadfaf3380>] lr : [<000002aadfaf3368>] pstate: a0000000
[ 1595.416389] sp : 000003ffceeab2e0
[ 1595.419684] x29: 000003ffceeab300 x28: 000002aadfc21000 
[ 1595.424999] x27: 000002aadfc1f000 x26: 000524e332d19e8e 
[ 1595.430302] x25: 000002aadfc21000 x24: 0000000000000001 
[ 1595.435608] x23: 000003ffceeab438 x22: 000002aadfc21000 
[ 1595.440910] x21: 000002aadfc20000 x20: 000002aae5a59810 
[ 1595.446216] x19: 000003ffceeab708 x18: 000002aadfb9f6f0 
[ 1595.451522] x17: 000003ffa3b2db20 x16: 000002aadfc1f490 
[ 1595.456824] x15: 000002aadfb969b3 x14: 000002aadfbbad08 
[ 1595.462131] x13: 000002aadfb9f6f0 x12: 000002aadfb969b3 
[ 1595.467432] x11: 000002aadfb969b3 x10: 000002aadfb969b3 
[ 1595.472740] x9 : 000003ffceea9e40 x8 : 00000000000000d3 
[ 1595.478041] x7 : 7f7f7f7f7f7f7f7f x6 : fefefeff7dff284d 
[ 1595.483347] x5 : 00000000000000b0 x4 : 0000000000000000 
[ 1595.488649] x3 : 0000000000000004 x2 : 0000000000000014 
[ 1595.493954] x1 : 000003ffa3f49a70 x0 : 000002aadfc1f000 
[ 1595.499256] 

Got it while updated systemd 226 to 228.

Start to suspect toolchain?

Comment 7 Marcin Juszkiewicz 2015-11-19 12:56:52 UTC
Built 226-3 with current toolchain and it works.

Installed 228-2 on top of it and systemd crashed in a way that even reboot is impossible without going back to 226-3 ;(

Comment 8 Jan Synacek 2015-11-19 13:31:53 UTC
(In reply to Marcin Juszkiewicz from comment #6)
> Start to suspect toolchain?

Definitely possible. See #1271387.

Comment 9 Marcin Juszkiewicz 2015-11-19 14:01:49 UTC

*** This bug has been marked as a duplicate of bug 1271387 ***


Note You need to log in before you can comment on or make changes to this bug.